[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: HELP!! NIS



Is this really nis (yp) or it is nis+?
What version of pam_unix you are using?

Paul Nicholas Faure wrote:
> 
> I setup NIS on a few systems, with one NIS server. Everything works fine
> except for passwords that expire.
> On the server (does not use NIS), passwords expire properly, users can
> not longer login.
> On the clients, users can login after there password has expired.
> 
> I was told that this sounds like a PAM problem.
> Here is my /etc/pam.d/login file:
> auth       required     /lib/security/pam_securetty.so
> auth       required     /lib/security/pam_pwdb.so shadow nullok
> auth       required     /lib/security/pam_nologin.so
> account    required     /lib/security/pam_unix.so
> password   required     /lib/security/pam_cracklib.so
> password   required     /lib/security/pam_pwdb.so shadow nullok
> session    required     /lib/security/pam_pwdb.so
> session    optional     /lib/security/pam_console.so
> 
> Documentation tells me that 'account' is the pam type that does password
> aging. I have tried to replace /lib/security/pam_unix.so with
> /lib/security/pam_unix_acct.so and /lib/security/pam_pwdb.so with no
> luck.





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []